import React, { Component } from 'react';
import { ResolveThunks } from 'react-redux';
import { dispatchRemotely } from '../../actions';
import { Options } from '../../reducers/instances';
export declare const DispatcherContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const CodeContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const ActionContainer: import("styled-components").StyledComponent<"div", any, {}, never>;
type DispatchProps = ResolveThunks<typeof actionCreators>;
interface OwnProps {
    options: Options;
}
type Props = DispatchProps & OwnProps;
interface State {
    selected: 'default' | number;
    customAction: string;
    args: string[];
    rest: string;
    changed: boolean;
}
declare class Dispatcher extends Component<Props, State> {
    state: State;
    UNSAFE_componentWillReceiveProps(nextProps: Props): void;
    shouldComponentUpdate(nextProps: Props, nextState: State): boolean;
    selectActionCreator: (selected: 'default' | 'actions-help' | number) => void;
    handleArg: (argIndex: number) => (value: string) => void;
    handleRest: (rest: string) => void;
    handleCustomAction: (customAction: string) => void;
    dispatchAction: () => void;
    render(): React.JSX.Element;
}
declare const actionCreators: {
    dispatch: typeof dispatchRemotely;
};
declare const _default: import("react-redux").ConnectedComponent<typeof Dispatcher, {
    key?: React.Key | null | undefined;
    options: Options;
    ref?: React.LegacyRef<Dispatcher> | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
